Page MenuHome

Cycles Render Crash Windows/AMD RX Vega
Confirmed, NormalPublicKNOWN ISSUE

Description

System Information
Operating system: Windows-10-10.0.18362 64 Bits
Graphics card: Radeon RX Vega ATI Technologies Inc. 4.5.13559 Core Profile Context 26.20.12001.7006

Blender Version
Broken: version: 2.80 (sub 74), branch: master, commit date: 2019-06-18 23:46, hash: rBe73647bf5b44
Worked: (optional)

system crash to black screen wile attempting to render a scene. Radeon driver is reset to default settings (even if it was on the default settings)
The crash is random,not crashing every time and not always at the same tile.

Exact steps for others to reproduce the error
[Please describe the exact steps needed to reproduce the issue]
[Based on the default startup or an attached .blend file (as simple as possible)]

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

I was also super excited to hear that the drivers were released, but after updating I still crashed within 10 minutes of rendering :/
To add, I did notice that, like @Marin Myftiu (mm25) , when I disabled the main display GPU, it rendered for hours just fine on my other one.

Sorry that you're still stuck with this issue when AMD should've already fixed it, Jeroen -- your time on this is very much appreciated though!

Also: @nah (nah), the system info he's asking for you generate in blender under help > save system info~

oh thanks, here's the text file{F8167274}

Jeroen Bakker (jbakker) renamed this task from Cycles render crash GPU RX Vega 56 to Cycles Render Crash Windows/AMD RX Vega.Nov 26 2019, 11:10 AM

TDR is a mechanism build inside windows that makes sure that the GPU driver where a screen is attached will keep responding. If windows detects that the GPU driver is not responsing (sending a command to the GPU driver, but not getting a response back quick enough) it will kill the driver and restart the driver. As a user you see this as the screen will be blanked.

When the GPU is restarted again all existing commands in the GPU are gone, but blender is waiting for a result that will never be send back. The difference with the new driver is that is used to reset when rendering, now it resets even when compiling. I will check with AMD on this topic.

@Matthew (idkartist3d) please note that you're not using the latest drivers. (not that that makes a difference)

@nah (nah) seems like you have a polaris card, I haven't been able to reproduce it on any polaris card I have here, but I don't have any polaris cards on my windows systems. note that 8GB might not be enough RAM to actually compile cycles.

If it looks like a driver issue, why isnt it happening on 2.79 and why is motion blur affectin it ?
Also, at least in my case, the files I am working on were created on 2.79 and then ported to 2.81 mainly to use the new denoiser, so maybe it happens to files ported from previous versions..

It is not effective in Blender 2.79 as the opencl implementation is different. Blender 2.79/AMD wasn't able to stress the system. It is not related to motion blur at all, it can happen with any complex scene. As mentioned above it is related to Windows + AMD driver with a complete explanation so I am not going to repeat myself again. Please read the thread.

Wait but my RAM doesn't go up at all when compiling kernels so I don't think that's the problem

AMD has found an issue inside cycles. It seems that some data isn't initialized. Solution would be to clear the memory up front or always initialize all the data we pass to the kernel. The specific data is the object_motion field in __constant KernelData *data. I will try to confirm their findings and make a possible fix.

Great job! Lets hope this is fixed for good, it was one of the reasons why I kept using 2.79...

Let us know when you've found something :)

Jeroen Bakker (jbakker) changed the task status from Resolved to Unknown Status.Dec 11 2019, 12:06 PM

woah, a bunch of stuff happened

So uh (I'm "nah" btw, just forgot my old login) I found an update in the drivers but still had the same issue. Not trying to rush or anything, but just wondering if this is actually still being worked on since this feed seems a little quiet

Looks like 2.81a fixed it, so it was a blender bug after all. Glad to know its out anyway 😁

Well, I have the issue that Blender just stops rendering after a while and freezes. I have to kill Blender manually using the task manager.
This happens in 2.81a and in 2.82 beta as well.

However, this only happens, when I have Radeon Software installed, regardless of the Version or Edition. I tried Adrenalin 2018, 2019 and 2020. Nothing works.

When I uninstall my graphics driver completely in the device manager, Blender works flawless for me; 2.81a and 2.82 beta.

So. I guess, no GPU driver for me, until the issue is resolved. I'll survive it.

Note that I still need to test their latest drivers they released a week ago. But will test this week.

@Marin Myftiu (mm25) AMD updated their drivers, but still the heavier the scene the more likely that it will happen. As it only happens on Windows, and not on Linux and only on the Display attached card it seems to be a driver issue.

Mine still crashes trying to render the default cube in cycles

Jeroen Bakker (jbakker) changed the subtype of this task from "Report" to "Known Issue".

Yep, still crashes
Vega 56
I7 8700k
Blender v2.82 Alpha 2020-01-02 17:14

Any updates on this yet? :

Judging from this comment,

This is a known issue T65924: Cycles Render Crash Windows/AMD RX Vega. Not blender related as it works as long as TDR isn't enabled for the card. That actually means that no display can be attached to the device. AMD is aware of the issue and are looking into it.

I'm assuming the ball is in AMD's court at the moment. I've been watching this thread since July, so I hope you're ready to be strapped in for the long haul lmao

rip, I hope they fix it soon. Can't wait to resume using cycles

Hi everyone, just installed the 2.80 version ( 2.80a to slow on my pc ) fresh update driver from AMD and shes flying as before .:):) happy cycle to everyone

Hi everyone, just installed the 2.80 version ( 2.80a to slow on my pc ) fresh update driver from AMD and shes flying as before .:):) happy cycle to everyone

The stable 20.1.3 driver or the optional 20.2.1 ?

They haven't put out any fixes for this yet, or if they have they didn't include it in any release notes.
Not sure what they're on about tbh

Hmmmm the render that crashed before, didn't crash now on 20.1.3, but it was quite random for me, so need more time to see if it crashes or not.

Tried 20.1.3 and 20.2.1 both crash from time to time on long renders :P

Vega
It does on old file, I recently bought 3d model made in blender 2.79 in version for 2.8 works fine. My old file still freezes once I hit cycles, on GPU computing previews are slow but the render is still 30-40% faster.

It can't just be one side to blame... it worked fine on my gear till stopped.. no updates to any hardware or software were done pron this, nothing suddenly it went off and we hunting for nameless fox. I tried any driver combinations with any blender it exist and for me it looks like windows issue. There's only few updates records but I remember that W run quick updates which are not in books. ??

I tried any driver combinations with any blender it exist and for me it looks like windows issue.

If they haven't fixed the issue in any driver updates, it doesn't matter which driver or which version of blender you use. Any patterns you may be seeing in what files work/don't work is random at best. You do have a point about Windows being the only OS effected here, though.
Really, I think the only thing anyone can learn from this is to not buy AMD cards in the future lol (I certainly won't be). Nvidia wouldn't have let this issue exist for almost 8 months :/

Ye we know, Cronos just got my hopes up to try out new drivers. :P
Never buying amd gpu in the future, so many problems with drivers and lack of support. I've heard amd has a developer on payroll just to do opencl in cycles and even with that it has bugs like this.
Prolly gonna sell Vega and go for Nvidia.

Lol you do realize the person you're talking about is the one assigned to this task, right? https://devtalk.blender.org/t/4-february-2019/5255
I honestly feel like he's done what he can on this, he can't control how/when they roll out fixes on drivers.
Regardless, I'm kinda in the same boat. Wait for the 30 series to be announced/released, and pick up a card then - they're rumored to be pretty cheap, so either nab a new one, or a massively price reduced 20 series :/

Yes, i'm not saying that they're bad at their job, i'm just saying that amd have person working on opencl in cycles full time, and even with this we have a bug like this. Not even a small one, you can't render big scenes on vega, it makes it a costly paper weight for my use case. And rendering on cpu when you have such a monster of a gpu is so stupid. Even my old gtx 650 never had a driver crash through the 8 years i was using it.
Ye prolly gonna go for 20 series if i'll find good price on used one :P

Marin Myftiu (mm25) added a comment.EditedFeb 9 2020, 10:13 PM

Woo, everyone is jumping to nvidia because amd sucks, we sure we don't have any paid nvidia panicker here😂
Not saying it doesn't suck to have this issue, but looks more complex than just the driver to me, it's more a windows/blender implementation that happens on amd cards. Yes the driver fails, but that can also be because something else screws up.
Also it was fixed in some cases; personally I have 2 systems & 4 vega56s and not encountering it anymore for months, and thats on 6gb+ scenes rendering for up to 1 week and same for other people,..
Have you guys done the following besides clean install:
-cleared the kernel cache folder in blender
-deleted gpu driver entries in the registry before install
-checked your overclocking/undervolting settings (old custom settings might fail with new drivers, it was the case with 1 of my cards)

Hehehe i wish :P
It's quite random with crashes, from my experience it crashes more often if you have hair or dense fur in render.
Tried deleting kernel cache (which was around 2 gigs)
Tried resetting OC to stock
Can you write or point to a guide what gpu register entries have to be deleted ? I have not tried that one, i've used DDU before installing new drivers, not sure if it does it by itself.

Hmm, I think I went and deleted some amd keys myself in some lost area of the infinite & stupid registry, dont have a pc at hand now to look for them.
There's also this amd cleaning tool:
https://www.amd.com/en/support/kb/faq/gpu-601
... I also messed with the 'tdrdelay' key and those other similas keys, think I pumped them up to 120 seconds or something like that...that might help too because I notice blender seems totally frozen sometimes for 10-20 seconds, even in eevee.

Tried with the tdr delay, the only thing it changed is how long the driver was down, by default it almost instantly recovered, after change the display just froze for 120 and then recovered.
Gonna try the cleaning tool, really hope it helps.
And i don't care if it's a driver issue or a windows one, it crashes in stock when i need it working :P
Even if it's not amd's fault it's a pretty big reason to look the green side, at least for me.

Hahaha, I know, this stuff definitely sucks and it feels bad when vega was such a great rendering value; 1080ti ballpark for half the price.
Hope that cleaning app works and those tdr-related keys, I think there are 4 of them to tweak..

Please @Marin Myftiu (mm25), @For (Forshu), behave this is a bug tracker, not a forum. Adding noise in comments to this ticket that doesn't have value just makes it harder for issues to be solved!

Sorry it's jut really frustrating that this issue was opened a year ago and the renders still crash.

The amd cleaning utility didn't help, but I installed the drivers that were shipped by Asus with my card 17.12 and that seems to fix the problem a bit, it still crashes but less often.

Marin Myftiu (mm25) added a comment.EditedFeb 10 2020, 10:21 AM

Yes, it is, been there and I can't figure what it was.
Just checked and I have both TdrDelay and TdrDdiDelay set at 90.
Another thing I dont have clear is; does this only happen on files created in 2.79 or new ones too?
Yet another thing that came to my mind is that I had an ssd upgrade and windows reinstalled on both machines around the time I stopped having issues,.. don't know if that is just a coincidence and that is quite drastic.. but if you have a spare ssd and some time in your hands its worth a try.

All my files are created new in 2.8, but most assets in them were imported from 2.79, and then i just appended them from one 2.8 file to another.
Tried playing with those Tdr values but like i said, it just changed how long the driver was down before recovery for me.
Gonna try reinstalling windows when i'll have time, but for now going to stick with occasional crashes on 17.12 drivers

I have an SSD and I reinstalled windows, didn't work. AMD just came out with a new update, didn't work... I really hope they fix this soon :(

Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: Radeon RX Vega ATI Technologies Inc. 4.5.13587 Core Profile Context 20.2.1 26.20.15019.1003
Latest Drivers

Blender Version
Broken: version: 2.82 (sub 7), branch: master, commit date: 2020-02-12 16:20, hash: rB77d23b0bd76f

Crashes when rendering hair.

Updated to latest RADEON drivers, 20.2.2

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: Radeon RX Vega ATI Technologies Inc. 4.5.13587 Core Profile Context 20.2.2 26.20.15019.15019

Blender Version
Broken: version: 2.82 (sub 7), branch: master, commit date: 2020-02-12 16:20, hash: rB77d23b0bd76f
Worked: (optional)

Blender crashes when rendering hair

Ok, i’m sorry i really didnt mean to put this up for grabs, i just ment to comment!

But, anyway! I have the same issue

Sys specs
Windows 10, (completely blank install)
56gb of ram
2x v56
Amd 20.4.1 drivers

Broken version
2.82a.

I have a bit of a twist on this one. Single gpu is stable, however it completely craps out in dual gpu mode.

This is one of the characteristics of this crash: it only happens when the display GPU renders. In your case the single GPU might be the other non-display connected GPU (might try switching to the other option in the settings)... Other than that, try disabling motion blur, that has worked in some instances... For me new drivers and some cleanup solved the issue on both systems and all 4 vega 56.

Blender still crashes whenever I use cycles render at all, even in preview mode.

Blender still crashes whenever I use cycles render at all, even in preview mode.

It's been almost a year since this bug was reported. Give up. Buy an Nvidia card. This bug isn't going to be fixed any time soon, if at all. Sorry.

Blender still crashes whenever I use cycles render at all, even in preview mode.

It's been almost a year since this bug was reported. Give up. Buy an Nvidia card. This bug isn't going to be fixed any time soon, if at all. Sorry.

Is this still not fixed? I sold my vega 5 months ago, and this bug still not fixed, fun...

Is this still not fixed? I sold my vega 5 months ago, and this bug still not fixed, fun...

My best guess is at this point they're just gonna wait until the cards are outdated enough that most people replace/upgrade them, until there's nobody left to ask for a fix :/
Kinda "ignore it till it goes away", ya know? I emailed AMD for an update, and they just gave me some basic troubleshooting steps.
I probably should've expected that after spending hundreds of dollars on a product that can't perform a basic task without fucking imploding, that the response to asking for a fix is a canned copy-paste basically telling me to buy a new card 🙃

Also: Happy almost 1-year birthday to this thread! 🎉 May as well close it, as we all know this will never get fixed.

I'm also having this issue w/ a RX Vega 64 and Radeon 20.7.2

It's nice to know I've got a 14.2 Teraflop brick when it comes to actually doing work.

I've had same issue with my RX5700. When using GPU openCL rendering blender was crushing each time.
To me solution was to use not the latest driver (radeon 20.8.1) but the latest recommended driver (radeon 20.4.2 (WHQL)).
Now the Issue is gone.
I suggest you to try the same thing.

@Jeroen Bakker (jbakker) Is it possible to add a workaround that renders volumes only on CPU while rendering everything else on GPU?

Oh man, I was so inside my own head that I forgot to report back to this thread!
Sooo, long story short, I got super fed up with the situation and posted a thread to /r/amd. Luckily the post got a tonne of visibility, and most importantly the attention of some AMD staff. I got into contact with them, and they got me in touch with a technical support engineer, who told me

"As I understand, based on your Service Request that you are experiencing crashes and hang in Blender with your Vega 56 Graphics.
The issue affecting Vega series graphics and Blender was under investigation and we believe that a fix coming out in the next Radeon Pro Software for Enterprise driver version 20.Q2.1 will resolve your issue."

He hooked me up with some Beta drivers, and although I've had a bluescreen or two, I no longer freeze and cut to black! So: If there's even anyone left that hasn't been beaten down by the harsh passage of time relative to the ever-marching exponential progress of technology (caved and bought a new card), go and download the newest Radeon Pro Enterprise drivers and see if they fix it for ya! And shoutout to Mickey and Ali from AMD ahah~ ❤

You are right, last driver is working for me.